List goods out pick lists
curl --request POST \
--url 'https://clarus-api.com/graphql#ListGoodsOutPickLists' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"query": "query($filter: GoodsOutPickListsFilterType) { goods_out_pick_lists { all(filter: $filter) { edges { node { id reference pick_reference pick_type load_reference goods_out_status { code name } account { id code } warehouse { id code } } } } } }"
}
'import requests
url = "https://clarus-api.com/graphql#ListGoodsOutPickLists"
payload = { "query": "query($filter: GoodsOutPickListsFilterType) { goods_out_pick_lists { all(filter: $filter) { edges { node { id reference pick_reference pick_type load_reference goods_out_status { code name } account { id code } warehouse { id code } } } } } }" }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: 'query($filter: GoodsOutPickListsFilterType) { goods_out_pick_lists { all(filter: $filter) { edges { node { id reference pick_reference pick_type load_reference goods_out_status { code name } account { id code } warehouse { id code } } } } } }'
})
};
fetch('https://clarus-api.com/graphql#ListGoodsOutPickLists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"goods_out_pick_lists": {
"all": {
"edges": [
{
"node": {
"id": "1",
"reference": "PL-001",
"pick_reference": "PICK-001",
"pick_type": "single",
"load_reference": null,
"goods_out_status": {
"code": "PICK",
"name": "Picking"
},
"account": {
"id": "1",
"code": "ACME"
},
"warehouse": {
"id": "1",
"code": "WH1"
}
}
}
]
}
}
}
}{
"error": "<string>"
}Goods Out: Pick Lists
List goods out pick lists
Retrieve pick lists using GraphQL. Supports filtering by reference, status, account, warehouse, and pick type.
POST
/
graphql#ListGoodsOutPickLists
List goods out pick lists
curl --request POST \
--url 'https://clarus-api.com/graphql#ListGoodsOutPickLists' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Clarus-Subdomain: <api-key>' \
--data '
{
"query": "query($filter: GoodsOutPickListsFilterType) { goods_out_pick_lists { all(filter: $filter) { edges { node { id reference pick_reference pick_type load_reference goods_out_status { code name } account { id code } warehouse { id code } } } } } }"
}
'import requests
url = "https://clarus-api.com/graphql#ListGoodsOutPickLists"
payload = { "query": "query($filter: GoodsOutPickListsFilterType) { goods_out_pick_lists { all(filter: $filter) { edges { node { id reference pick_reference pick_type load_reference goods_out_status { code name } account { id code } warehouse { id code } } } } } }" }
headers = {
"Authorization": "Bearer <token>",
"X-Clarus-Subdomain": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Clarus-Subdomain': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
query: 'query($filter: GoodsOutPickListsFilterType) { goods_out_pick_lists { all(filter: $filter) { edges { node { id reference pick_reference pick_type load_reference goods_out_status { code name } account { id code } warehouse { id code } } } } } }'
})
};
fetch('https://clarus-api.com/graphql#ListGoodsOutPickLists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"goods_out_pick_lists": {
"all": {
"edges": [
{
"node": {
"id": "1",
"reference": "PL-001",
"pick_reference": "PICK-001",
"pick_type": "single",
"load_reference": null,
"goods_out_status": {
"code": "PICK",
"name": "Picking"
},
"account": {
"id": "1",
"code": "ACME"
},
"warehouse": {
"id": "1",
"code": "WH1"
}
}
}
]
}
}
}
}{
"error": "<string>"
}Query Structure
query($filter: GoodsOutPickListsFilterType) {
goods_out_pick_lists {
all(filter: $filter) {
edges {
node {
id
reference
pick_reference
pick_type
load_reference
goods_out_status {
code
name
}
account {
id
code
}
warehouse {
id
code
}
}
}
}
}
}
Filter Argument
All filters are passed inside thefilter argument. Each filter field accepts an input object with operators:
{
"filter": {
"pick_tasks_count": {
"gteq": 1
}
}
}
Available Filters
| Filter | Input Type | Operators | Description |
|---|---|---|---|
pick_tasks_count | IntegerInputType | eq, gt, gteq, lt, lteq, between | Number of pick tasks |
completed_pick_tasks_count | IntegerInputType | eq, gt, gteq, lt, lteq, between | Number of completed pick tasks |
loading_tasks_count | IntegerInputType | eq, gt, gteq, lt, lteq, between | Number of loading tasks |
completed_loading_tasks_count | IntegerInputType | eq, gt, gteq, lt, lteq, between | Number of completed loading tasks |
dispatch_tasks_count | IntegerInputType | eq, gt, gteq, lt, lteq, between | Number of dispatch tasks |
completed_dispatch_tasks_count | IntegerInputType | eq, gt, gteq, lt, lteq, between | Number of completed dispatch tasks |
Filter Operators
| Input Type | Operators |
|---|---|
| StringInputType | eq (exact), ilike (case-insensitive partial), like (case-sensitive partial), in (array match), between (range) |
| IntegerInputType | eq, gt, gteq, lt, lteq, between |
| DatetimeInputType | eq, from, to, between |
| BooleanInputType | eq (required) |
| IdInputType | eq, gt, gteq, lt, lteq, in, filled |
Authorizations
OAuth 2.0 authentication. Use the client credentials or authorization code flow to obtain an access token.
FlowAuthorization Code
- Authorization URL
- https://clarus-api.com/oauth/authorize
- Token URL
- https://clarus-api.com/oauth/token
FlowClient Credentials
- Token URL
- https://clarus-api.com/oauth/token
The subdomain/tenant name identifying which tenant's data to access. Required for all API requests.
Body
application/json
GraphQL query string
Example:
"query($filter: GoodsOutPickListsFilterType) { goods_out_pick_lists { all(filter: $filter) { edges { node { id reference pick_reference pick_type load_reference goods_out_status { code name } account { id code } warehouse { id code } } } } } }"
Query variables including the filter object
Show child attributes
Show child attributes
Example:
{
"filter": { "pick_tasks_count": { "gteq": 1 } }
}

